/***************************************************************************
                Process Test Class
                -----------------------------------------
    begin      : 2013/06/21
	copyright  : (C) 2005 Solbox Inc.
    author     : Dev 1 Team
    email      : dev1@solbox.com
    version    : 3.2.0

    CopyRight(C) 2005 Solbox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of Solbox Inc.
*****************************************************************************/

#ifndef __WORKER_NETWORK_STAT_SENDER_H__
#define __WORKER_NETWORK_STAT_SENDER_H__

#include <list>
#include <map>
#include "Process.h"
#include "FimngdData.h"
#include "NetworkStatSendThread.h"

class  CWorkerNetworkStatSender : public CProcess
{
public:
	CWorkerNetworkStatSender();
	virtual ~CWorkerNetworkStatSender();

	pid_t Launcher(const sig_atomic_t *sighandle);

private:
	void	do_work(const sig_atomic_t *sighandle);

	CNetworkStatSendThread m_objNetworkStatSendThread;

	CSharedMem m_shmemNetworStat;

};
 
#endif // __WORKER_NETWORK_STAT_SENDER_H__

